Subject: bug#27067: Reply to Arun Isaac's reply

From: Brenton Horne <[email-masked]>
Date: Fri, 26 May 2017 03:05:58 +1000

Hi,

Thanks. This feature would still be useful though, but your idea makes it
less urgent. Automatic logging still sounds like a good idea as the Guix
package manager is quite slow for some operations at the moment (not
criticising the developers of Guix, after all at this early stage of
development issues like this are to be expected), for me at least running
GuixSD in a QEMU VM with 8 GB RAM and 3 CPU cores (3.3 GHz i7 cores), so it
might save users interested in filing bug reports a lot of time (on
re-running the problem command with `| tee output.log` after it) if the
output was logged automatically. Saving users time will probably mean users
will be far more motivated and able to provide bug reports on issues they
experience, which is good for the entire Guix community as bugs would get
reported and resolved faster.

Thanks for your time,
Brenton